Subject: Re: [Lime] RE LIME Charter Proposal update discussion in Design Team

From: Qin Wu <[email-masked]>
Date: Thu, 25 Sep 2014 08:54:42 +0000

Thanks Huub, points taken.
We will see how to make rewording for #2.

Regards!
-Qin
发件人: Huub van Helvoort [mailto:[email-masked]]
发送时间: 2014年9月25日 16:41
收件人: Qin Wu
抄送: Gregory Mirsky; Mishael Wexler; Susan Hares; Tom Taylor; Carlos Pignataro (cpignata); Nagendra Kumar Nainar (naikumar); BOUCADAIR Mohamed IMT/OLN; King, Daniel; Stewart Bryant (stbryant); Ravi Shekhar; Romascanu, Dan (Dan); Jouni Korhonen; Benoit Claise; Ronald Bonica; Sam K. Aldrin; Yuji Tochio; Tom Herbert
主题: RE: RE LIME Charter Proposal update discussion in Design Team

Hello Qin,
Thanks for bringing me on board again ^_^

I agree with #1 and #3.
I have only a remark on #2:
It is OK to state that LIME uses YANG as DML, however I am afraid that this may regarded by other SDO's as "take it or leave it".
With the additional "consider other DML" I tried to keep the communication with other SDO's possible. So the "consider" should not be seen as an alternative DML. If there is better text to convey that message, I am fine.

Best regards Huub.

sent from my android tablet
On 25 Sep 2014 03:29, "Qin Wu" <[email-masked]<mailto:[email-masked]>> wrote:
Thanks Sam. Your wording to Q1 is more appropriate.
It looks Huub is left out from Design team list. So I put him back into Design team list.

Regards!
-Qin
-----邮件原件-----
发件人: Sam K. Aldrin [mailto:[email-masked]<mailto:[email-masked]>]
发送时间: 2014年9月24日 17:59
收件人: Qin Wu
抄送: Ronald Bonica; Romascanu, Dan (Dan); King, Daniel; Tom Taylor; Carlos Pignataro (cpignata); BOUCADAIR Mohamed IMT/OLN; Benoit Claise; Mishael Wexler; Gregory Mirsky; Susan Hares; Nagendra Kumar Nainar (naikumar); Stewart Bryant (stbryant); Ravi Shekhar; Jouni Korhonen; Yuji Tochio; Tom Herbert
主题: Re: RE LIME Charter Proposal update discussion in Design Team

Qin, et al,

#1, It is not 'can we do', rather 'should we do'. My opinion is, we should.
#2, Whoever would like to do DML other than YANG, should bring to the table with a good case and generate consensus from the WG. Till then, we should focus on YANG, like other WG's like I2RS.
#3, Yes

-sam

On Sep 23, 2014, at 11:35 PM, Qin Wu wrote:

> Hi, members:
> Get back to design team discussion again.
> Regarding our updated Charter Proposal, I like to call your attention
> to some issues raised by our AD Benoit on the list,
> http://www.ietf.org/mail-archive/web/lime/current/msg00048.html
> I have added AD into this loop:
>
> I think we can summarize them as three questions:
> Q 1. Can we do DM without information model?
> Q 2. Shall we allow other DMLs than YANG?
> Q 3. Can guidance be applied to both management plane and data plane?
> My answers are:
> Q 1. I think our proposed work is specific to configuration, so my
> answer is Yes Q 2. If information model is not needed, I think we
> don't need to consider other DMLs of other SDOs Q 3. Yes.
>
> Let me call for your opinions on the above three Questions. Hopefully we can converge discussion soon and give one more update to Charter proposal.
>
> Regards!
> -Qin